Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.boot
Class MuleBootstrapUtils

    java.lang.Object
      org.mule.module.boot.MuleBootstrapUtils

    public final class MuleBootstrapUtils

extends Object

Nested Class Summary
`static class` | `MuleBootstrapUtils.ProxyInfo`

Field Summary
`static String` | `MULE_LOCAL_JAR_FILENAME`

Method Summary
`static void` | `addLibrariesToClasspath(List urls)`
`static void` | `addLocalJarFilesToClasspath(File muleHome, File muleBase)`
`static int` | `copy(InputStream input, OutputStream output)`
`static long` | `copyLarge(InputStream input, OutputStream output)`
`static File` | `getMuleHomeFile()`
`static File` | `getMuleLibDir()`
`static File` | `getMuleLocalJarFile()`
`static URL` | `getResource(String resourceName, Class callingClass)`
`static boolean` | `isStandalone()` Whether Mule is running embedded or standalone.
`static boolean` | `renameFile(File srcFile, File destFile)`
`static boolean` | `renameFileHard(File srcFile, File destFile)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MULE_LOCAL_JAR_FILENAME

    public static final String MULE_LOCAL_JAR_FILENAME

See Also:
  Constant Field Values

Method Detail

### isStandalone

    public static boolean isStandalone()

  Whether Mule is running embedded or standalone.

  Returns:
    true if running standalone

### getMuleHomeFile

    public static File getMuleHomeFile()

  Returns:
    null if running embedded

### getMuleLibDir

    public static File getMuleLibDir()

  Returns:
    null if running embedded

### getMuleLocalJarFile

    public static File getMuleLocalJarFile()

### addLocalJarFilesToClasspath

    public static void addLocalJarFilesToClasspath(File muleHome,
                                                   File muleBase)
                                            throws Exception

  Throws:
    `Exception`

### addLibrariesToClasspath

    public static void addLibrariesToClasspath(List urls)
                                        throws NoSuchMethodException,
                                               IllegalAccessException,
                                               InvocationTargetException

  Throws:
    `NoSuchMethodException`
    `IllegalAccessException`
    `InvocationTargetException`

### getResource

    public static URL getResource(String resourceName,
                                  Class callingClass)

  See Also:
    `ClassUtils.getResource(java.lang.String, java.lang.Class)`

### renameFile

    public static boolean renameFile(File srcFile,
                                     File destFile)
                              throws IOException

  Throws:
    `IOException`
  See Also:
    `FileUtils.renameFile(java.lang.String, java.lang.String)`

### renameFileHard

    public static boolean renameFileHard(File srcFile,
                                         File destFile)
                                  throws IOException

  Throws:
    `IOException`
  See Also:
    `FileUtils.renameFileHard(java.lang.String, java.lang.String)`

### copy

    public static int copy(InputStream input,
                           OutputStream output)
                    throws IOException

  Throws:
    `IOException`
  See Also:
    `IOUtils.copy(java.io.InputStream, java.io.OutputStream)`

### copyLarge

    public static long copyLarge(InputStream input,
                                 OutputStream output)
                          throws IOException

  Throws:
    `IOException`
  See Also:
    `IOUtils.copyLarge(java.io.InputStream, java.io.OutputStream)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.